Bug 915116 - Cannot find vtkProcessShader when configuring against Paraview cmake
Cannot find vtkProcessShader when configuring against Paraview cmake
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-24 18:35 EST by Arno Mayrhofer
Modified: 2013-03-16 21:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-16 21:04:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arno Mayrhofer 2013-02-24 18:35:50 EST
I was trying to compile pv-meshless & pv-common (can be found on hpc-forge) against PV 3.98.1. When running ccmake I already had some Python issues which I resolved by linking some libraries in another path. In detail:

I had to link
/usr/lib64/openmpi/lib/paraview/site-packages/paraview/vtk/vtk*Python.so into path /usr/lib64/openmpi/lib/paraview

Now to the real issue, when configuring I get

===============================

 CMake Error at /usr/lib64/openmpi/share/cmake/paraview/ParaViewTargets-relwithdebinfo.cmake:6339 (MESSAGE):
   The imported target "ProcessShader" references the file

      "/usr/lib64/openmpi/bin/vtkProcessShader"

   but this file does not exist.  Possible reasons include:

   * The file was deleted, renamed, or moved to another location.

   * An install or uninstall procedure did not complete successfully.

   * The installation package was faulty and contained

      "/usr/lib64/openmpi/share/cmake/paraview/ParaViewTargets-relwithdebinfo.cmake"

   but not all the files it references.

 Call Stack (most recent call first):
   /usr/lib64/openmpi/share/cmake/paraview/ParaViewTargets.cmake:1402 (INCLUDE)
   /usr/lib64/openmpi/share/cmake/paraview/ParaViewConfig.cmake:36 (include)
   CMakeLists.txt:43 (FIND_PACKAGE)

===============================

From the *cmake files of the ParaView package I see that this binary should have been built but it hasn't. Also "yum provides */vtkProcessShader" does not yield any results. Probably has been removed from the pv package after building.

Best,
Arno
Comment 1 Fedora Update System 2013-02-26 10:56:54 EST
paraview-3.98.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/paraview-3.98.1-2.fc18
Comment 2 Arno Mayrhofer 2013-02-26 16:55:56 EST
Bug is fixed.

Next one on the list:

/usr/lib64/openmpi/share/cmake/paraview/VTKConfig.cmake

line 47:
include("/builddir/build/BUILD/ParaView-3.98.1-source/VTK/CMake/vtkTestingMacros.cmake")

clearly there should not be a fixed path there.

Best,
Arno
Comment 3 Orion Poplawski 2013-02-26 17:03:49 EST
Hmm, I'm surprised that isn't detected by the build system.  In any case, this is probably going to have to wait until I'm back from vacation (late next week).
Comment 4 Arno Mayrhofer 2013-02-26 18:25:06 EST
Sure no problem I'm in no particular rush to get it running. Once you've fixed it I'll test it. For now, enjoy your holidays.
Comment 5 Fedora Update System 2013-02-26 21:46:44 EST
Package paraview-3.98.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing paraview-3.98.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3159/paraview-3.98.1-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-03-08 11:19:10 EST
paraview-3.98.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/paraview-3.98.1-3.fc18
Comment 7 Arno Mayrhofer 2013-03-08 18:06:04 EST
Tested the update. I'm getting further with installing this pv-meshless plugin. I fixed a small thing in their CMakeList and now I get stuck with some HDF5 dependency. If it should be related to the PV install I'll let you know.

Thanks so far for your help and the updating. Keep up the good work.
Arno
Comment 8 Fedora Update System 2013-03-16 21:04:07 EDT
paraview-3.98.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.